package de.proveo.rts.web.portlet.managedBeans.common.dataTable.myfaces;

import org.apache.myfaces.component.html.ext.HtmlDataTable;

public class CustomDataTable extends HtmlDataTable
{

	@Override
	//For Ajax update (filtering) paging issues
	public int getFirst()
	{ 
		
		if (super.getFirst() > getRowCount())
			super.setFirst(0);
		
		return super.getFirst();
	}
	
}
